# Generated from rakeoff-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rakeoff

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Build tasks for .Net projects
License: MIT
URL: http://bitbucket.org/robertbeal/rakeoff
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) = 2.9.0
# BuildRequires: rubygem(mocha) = 0.10.5
# BuildRequires: rubygem(jeweler) >= 1.8.3
# BuildRequires: rubygem(simplecov)
BuildArch: noarch

%description
A common set of build tasks typically used when creating projects in .Net.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc

%changelog
* Wed Apr 20 2022 mockbuilder - 0.1.0-1
- Initial package
